@echo off
if exist main.cpp1 goto newmode

ren main.cpp main.cpp1
ren graphwindow.cpp graphwindow.cpp1
ren graphwindow.hpp graphwindow.hpp1
ren graph.cpp graph.cpp1
ren graph.hpp graph.hpp1

ren main.cpp2 main.cpp
ren graphwindow_win32.cpp2 graphwindow_win32.cpp
ren graphwindow_win32.hpp2 graphwindow_win32.hpp
ren graph.cpp2 graph.cpp
ren graph.hpp2 graph.hpp

goto end

:newmode
echo Already in new mode!
:end